> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sacra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company filings

> Returns filings for a specific company with cursor-based pagination. Requires either `company_domain` or `company_id`.



## OpenAPI

````yaml GET /api/v1/filings/
openapi: 3.0.3
info:
  title: Sacra API
  version: 1.0.0
  description: >-
    The Sacra API currently supports querying News, Documents, Companies and
    Categories that enable you to use Sacra research within your own
    application.


    ## **Getting started guide**


    To start using the APIs, you need to:


    - Only available to **Platforms** and **Funds** tier members. (See
    [here](https://sacra.com/pricing/))
        
    - You must use a valid API Key to send requests to the API endpoints. You
    can generate your API key in the Api Keys section of your [Organization
    Settings](https://sacra.com/orgs/settings/general/).
        
    - The API returns request responses in JSON format. When an API request
    returns an error, it is sent in the JSON response as an error key.
        

    ## Authentication


    The Sacra API uses Tokens for authentication.


    You can generate a Sacra API Key/Token in the Api Keys section of your
    [Organization Settings](https://sacra.com/orgs/settings/general/).


    You must include an API Key/Token in each request to the Sacra API with the
    **Authorization** request header.


    ### Authentication error response


    If a Token is missing, malformed, or invalid, you will receive an HTTP 401
    Unauthorized response code.


    ### **Need some help?**


    In case you have questions, we will eventually provide tutorials and a FAQ
    page. But for now you can check out the
    [#developers](https://discord.gg/mTswyV8gg3) channel in our community
    [Discord](https://discord.gg/mTswyV8gg3), there’s a good chance our
    community has an answer for you.


    ## Authorization


    | **Key** | **Value** |

    | --- | --- |

    | Authorization | Token {{API_KEY}} |
servers:
  - url: https://sacra.com
    description: Production
security: []
tags:
  - name: Companies
  - name: Categories
  - name: Events
  - name: News
  - name: Documents
  - name: Filings
  - name: Embeds
  - name: Metrics
  - name: Funding (Legacy)
paths:
  /api/v1/filings/:
    get:
      tags:
        - Filings
      summary: Get company filings
      description: >-
        Returns filings for a specific company with cursor-based pagination.
        Requires either `company_domain` or `company_id`.
      operationId: filings_retrieve
      parameters:
        - in: query
          name: company_domain
          schema:
            type: string
          description: Domain of the company (e.g. `spacex.com`).
        - in: query
          name: company_id
          schema:
            type: integer
          description: Internal ID of the company. Takes priority over `company_domain`.
        - in: query
          name: cursor
          schema:
            type: string
          description: >-
            Cursor for pagination (provided by `next`/`previous` links in
            response).
        - in: query
          name: filed_at_end
          schema:
            type: string
            format: date-time
          description: Filter filings filed on or before this datetime (ISO 8601).
        - in: query
          name: filed_at_start
          schema:
            type: string
            format: date-time
          description: Filter filings filed on or after this datetime (ISO 8601).
        - in: query
          name: filing_type
          schema:
            type: string
          description: Filter by filing type (e.g. `10-K`).
        - in: query
          name: page_size
          schema:
            type: integer
          description: 'Number of results per page. Default: 10, max: 50.'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilingsGetResponse'
              examples:
                CompanyFilings:
                  value:
                    filings:
                      - id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                        name: Annual Report 2024
                        type: 10-K
                        format: pdf
                        region: US
                        filed_at: '2025-03-15T00:00:00Z'
                        created_at: '2025-03-16T08:00:00Z'
                        updated_at: '2025-03-16T08:00:00Z'
                        url: >-
                          https://sacra.com/access-filing/filing/a1b2c3d4-e5f6-7890-abcd-ef1234567890
                    meta:
                      company_id: '42'
                      company_domain: spacex.com
                      company_name: SpaceX
                      filing_type_filter: null
                    pagination:
                      next: >-
                        https://sacra.com/api/v1/filings/?company_domain=spacex.com&cursor=cD0yMDI1
                      previous: null
                      page_size: 10
                      current_page_items: 1
          description: Paginated list of filings for the company.
        '400':
          content:
            text/plain:
              schema:
                type: string
                example: Either company_domain or company_id parameter is required
          description: Invalid parameters.
        '404':
          content:
            text/plain:
              schema:
                type: string
                example: 'Company not found for domain: spacex.com'
          description: Company not found.
      security:
        - SacraAPIAuthentication: []
components:
  schemas:
    FilingsGetResponse:
      type: object
      properties:
        filings:
          type: array
          items:
            $ref: '#/components/schemas/FilingItem'
        meta:
          $ref: '#/components/schemas/FilingsMeta'
        pagination:
          allOf:
            - $ref: '#/components/schemas/FilingsPagination'
          description: Null when no filings are returned.
      required:
        - filings
        - meta
    FilingItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        type:
          type: string
        format:
          type: string
        region:
          type: string
        filed_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        url:
          type: string
          description: Redirect URL to access the filing document.
      required:
        - created_at
        - filed_at
        - format
        - id
        - name
        - region
        - type
        - updated_at
        - url
    FilingsMeta:
      type: object
      properties:
        company_id:
          type: string
        company_domain:
          type: string
        company_name:
          type: string
        filing_type_filter:
          type: string
          nullable: true
      required:
        - company_domain
        - company_id
        - company_name
        - filing_type_filter
    FilingsPagination:
      type: object
      properties:
        next:
          type: string
          nullable: true
          description: Full URL for the next page, or null.
        previous:
          type: string
          nullable: true
          description: Full URL for the previous page, or null.
        page_size:
          type: integer
        current_page_items:
          type: integer
      required:
        - current_page_items
        - next
        - page_size
        - previous
  securitySchemes:
    SacraAPIAuthentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Authenticate using one of two formats:

        - **Organization/user token:** `Token <your-token>`
        - **Stytch JWT:** `Bearer <your-jwt>`

````